import Api from "~/service/Api"
import Pts from "../Common/Pts"
import Pub from "../Public"

export default class Bdtset{
    constructor () {
        this.data = {
			            liaall: new Pub().data.Liaall,
						setmod: new Pub().data.Setmod,
						trtcre:{
							crefinflg:"",			//  Create Financing		.trtcre.crefinflg
							trdgrp:{
								rec:{
									pntref:"",			//  单据编号		.trtcre.trdgrp.rec.pntref
									pntnam:"",			//  Parent Contract Name		.trtcre.trdgrp.rec.pntnam
									ownref:"",			//  融资编号		.trtcre.trdgrp.rec.ownref
									nam:"",			//  Name of Loan Contract		.trtcre.trdgrp.rec.nam
									issdat:"",			//  开立日期		.trtcre.trdgrp.rec.issdat
									fintyp:"",			//  融资品种		.trtcre.trdgrp.rec.fintyp
									stagod:"",			//  Good's Code 		.trtcre.trdgrp.rec.stagod
									guaflg:"",			//  货押标识		.trtcre.trdgrp.rec.guaflg
									intrat:"",			//  Margin Spread applied to Interest Rate		.trtcre.trdgrp.rec.intrat
									actrat:"",			//  actural rate		.trtcre.trdgrp.rec.actrat
									stttendat:"",			//  Start Date Tenor		.trtcre.trdgrp.rec.stttendat
									matdat:"",			//  Maturity Date		.trtcre.trdgrp.rec.matdat
									tenday:"",			//  Tenor Days		.trtcre.trdgrp.rec.tenday
									trntyp:"",			//  交易性�'�		.trtcre.trdgrp.rec.trntyp
									oppacc:"",			//  对方�'�号		.trtcre.trdgrp.rec.oppacc
									flowflag:"",			//  是否定向收付		.trtcre.trdgrp.rec.flowflag
									invtyp:"",			//  发票类型		.trtcre.trdgrp.rec.invtyp
									lprtyp:"",			//  市场LPR期限品种		.trtcre.trdgrp.rec.lprtyp
									pctfin:"",			//  % Financed		.trtcre.trdgrp.rec.pctfin
								},
								fip:{
									pts:new Pts().data,
									namelc:"",			//  名称		.trtcre.trdgrp.fip.namelc
									adrelc:"",			//  地址		.trtcre.trdgrp.fip.adrelc
									dbfadrblkcn:"",			//  Chinese address		.trtcre.trdgrp.fip.dbfadrblkcn
								},
								cbs:{
									max:{
										cur:"",			//  Currency		.trtcre.trdgrp.cbs.max.cur
										amt:"",			//  融资金额		.trtcre.trdgrp.cbs.max.amt
									},
								},
							},
							trtp:{
								bcdget:{
									sdamod:{
										seainf:"",			//  		.trtcre.trtp.bcdget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.trtcre.trtp.bcdget.sdamod.dadsnd
									},
								},
								btdget:{
									sdamod:{
										seainf:"",			//  		.trtcre.trtp.btdget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.trtcre.trtp.btdget.sdamod.dadsnd
									},
								},
								brdget:{
									sdamod:{
										seainf:"",			//  		.trtcre.trtp.brdget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.trtcre.trtp.brdget.sdamod.dadsnd
									},
								},
								ledget:{
									sdamod:{
										seainf:"",			//  		.trtcre.trtp.ledget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.trtcre.trtp.ledget.sdamod.dadsnd
									},
								},
								bedget:{
									sdamod:{
										seainf:"",			//  		.trtcre.trtp.bedget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.trtcre.trtp.bedget.sdamod.dadsnd
									},
								},
								recget:{
									sdamod:{
										seainf:"",			//  		.trtcre.trtp.recget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.trtcre.trtp.recget.sdamod.dadsnd
									},
								},
								usr:{
									extkey:"",			//  客户经理		.trtcre.trtp.usr.extkey
								},
								usrget:{
									sdamod:{
										seainf:"",			//  		.trtcre.trtp.usrget.sdamod.seainf
									},
								},
								fipp:{
									ptsget:{
										sdamod:{
											seainf:"",			//  		.trtcre.trtp.fipp.ptsget.sdamod.seainf
											dadsnd:"",			//  Drag  Drop Sender		.trtcre.trtp.fipp.ptsget.sdamod.dadsnd
										},
									},
								},
								dfflag:"",			//  Flag		.trtcre.trtp.dfflag
								flowflag:"",			//  是否定向收付		.trtcre.trtp.flowflag
								act:"",			//  外币�'�款专户清单		.trtcre.trtp.act
							},
							trtmod:{
								finmod:{
									pctlab:"",			//  Percentage Label		.trtcre.trtmod.finmod.pctlab
									fincod:"",			//  借据号		.trtcre.trtmod.finmod.fincod
									intprd:"",			//  计息周期		.trtcre.trtmod.finmod.intprd
									intdat:"",			//  计息日期		.trtcre.trtmod.finmod.intdat
									ratchgtyp:"",			//  利率调�'方式		.trtcre.trtmod.finmod.ratchgtyp
									ratchgprd:"",			//  LPR期限品种		.trtcre.trtmod.finmod.ratchgprd
									ratchgdat:"",			//  利率调�'月日数		.trtcre.trtmod.finmod.ratchgdat
									graday:"",			//  宽限期		.trtcre.trtmod.finmod.graday
									flttyp:"",			//  浮动方式		.trtcre.trtmod.finmod.flttyp
									fltval:"",			//  浮动值		.trtcre.trtmod.finmod.fltval
									ovdinttyp:"",			//  税率		.trtcre.trtmod.finmod.ovdinttyp
									ovdintrat:"",			//  罚息比率		.trtcre.trtmod.finmod.ovdintrat
									act1:"",			//  第一还款�'�号		.trtcre.trtmod.finmod.act1
									accbch:"",			//  入�'�机构		.trtcre.trtmod.finmod.accbch
									acttyp:"",			//  第三方还款方式		.trtcre.trtmod.finmod.acttyp
									act3:"",			//  第三方还款�'�号		.trtcre.trtmod.finmod.act3
									intamt:"",			//  预收息金额		.trtcre.trtmod.finmod.intamt
									intact:"",			//  发票类型		.trtcre.trtmod.finmod.intact
									inttyp:"",			//  预扣息方式		.trtcre.trtmod.finmod.inttyp
									wjdkfl:"",			//  是否到期主动扣收款		.trtcre.trtmod.finmod.wjdkfl
									shuilv:"",			//  税率		.trtcre.trtmod.finmod.shuilv
									dinmod:{
										jzllgz:"",			//  基准利率规则		.trtcre.trtmod.finmod.dinmod.jzllgz
										rmbsbs:"",			//  审批流程发起标识		.trtcre.trtmod.finmod.dinmod.rmbsbs
									},
									dinjdm:"",			//  定价审批代码		.trtcre.trtmod.finmod.dinjdm
								},
							},
							oppacc:"",			//  对方�'�号		.trtcre.oppacc
							trntyp:"",			//  交易性�'�		.trtcre.trntyp
							oricur:"",			//  Origial Currency		.trtcre.oricur
							oriamt:"",			//  Origial Amt		.trtcre.oriamt
							extrat:"",			//  Exchange Rate		.trtcre.extrat
						},
						paypsb:"",			//  Unpaid by Applicant		.paypsb
						mtabut: new Pub().data.Mtabut,
						bddgrp:{
							rec:{
								frepayflg:"",			//  Free of Payment Flag		.bddgrp.rec.frepayflg
								docprbrol:"",			//  Presented by		.bddgrp.rec.docprbrol
								ownref:"",			//  单据参考号		.bddgrp.rec.ownref
								nam:"",			//  Name of Bill Contract		.bddgrp.rec.nam
								rcvdat:"",			//  到单日期		.bddgrp.rec.rcvdat
								docflg:"",			//  单据类型		.bddgrp.rec.docflg
								docsta:"",			//  单据状态		.bddgrp.rec.docsta
								matdat:"",			//  Maturity Date		.bddgrp.rec.matdat
								tenmaxday:"",			//  单据到期日		.bddgrp.rec.tenmaxday
								stadat:"",			//  Start Date		.bddgrp.rec.stadat
								clrmtd:"",			//  清算方式		.bddgrp.rec.clrmtd
								paytyp:"",			//  付款类型		.bddgrp.rec.paytyp
								skzh:"",			//  收款银行�'�号		.bddgrp.rec.skzh
								skmc:"",			//  收款银行�'�户名称		.bddgrp.rec.skmc
								skhhh:"",			//  收款银行开户行行号		.bddgrp.rec.skhhh
								skhmc:"",			//  收款银行开户行名称		.bddgrp.rec.skhmc
							},
							cbs:{
								max:{
									cur:"",			//  单据金额		.bddgrp.cbs.max.cur
									amt:"",			//  单据金额		.bddgrp.cbs.max.amt
								},
								opn1:{
									cur:"",			//  单据余额		.bddgrp.cbs.opn1.cur
									amt:"",			//  Balance		.bddgrp.cbs.opn1.amt
								},
							},
							apl:{
								pts:new Pts().data,
							},
							ben:{
								pts:new Pts().data,
							},
							prb:{
								pts:new Pts().data,
							},
							blk:{
								setrmk:"",			//  备注		.bddgrp.blk.setrmk
							},
						},
						bptbck:{
							bptbckg:[],			//  		.bptbck.bptbckg
							dscbckcur:"",			//  currency discount paid back		.bptbck.dscbckcur
						},
						didgrp:{
							rec:{
								ownref:"",			//  信用证参考号		.didgrp.rec.ownref
								expdat:"",			//  Date of Expiry		.didgrp.rec.expdat
							},
							cbs:{
								opn1:{
									cur:"",			//  Currency		.didgrp.cbs.opn1.cur
									amt:"",			//  Balance		.didgrp.cbs.opn1.amt
								},
							},
						},
						bdtp:{
							didget:{
								sdamod:{
									seainf:"",			//  		.bdtp.didget.sdamod.seainf
									dadsnd:"",			//  Drag  Drop Sender		.bdtp.didget.sdamod.dadsnd
								},
							},
							recget:{
								sdamod:{
									dadsnd:"",			//  Drag  Drop Sender		.bdtp.recget.sdamod.dadsnd
									seainf:"",			//  		.bdtp.recget.sdamod.seainf
								},
							},
							matp:{
								mattxtlab:"",			//  Label for MATTXT		.bdtp.matp.mattxtlab
							},
						},
						dftcre:{
							dfflag:"",			//  同业代付		.dftcre.dfflag
							dfdgrp:{
								rec:{
									pntref:"",			//  Parent Reference		.dftcre.dfdgrp.rec.pntref
									pntnam:"",			//  Parent Contract Name		.dftcre.dfdgrp.rec.pntnam
									ownref:"",			//  代付业务编号：		.dftcre.dfdgrp.rec.ownref
									nam:"",			//  Name of Loan Contract		.dftcre.dfdgrp.rec.nam
									fintyp:"",			//  代付类型：		.dftcre.dfdgrp.rec.fintyp
									dfuflg:"",			//  境内境外代付：		.dftcre.dfdgrp.rec.dfuflg
									trntyp:"",			//  交易类型：		.dftcre.dfdgrp.rec.trntyp
									stttendat:"",			//  代付起始日：		.dftcre.dfdgrp.rec.stttendat
									matdat:"",			//  代付到期日：		.dftcre.dfdgrp.rec.matdat
									tenday:"",			//  代付期限：		.dftcre.dfdgrp.rec.tenday
									intprd:"",			//  计息周期：		.dftcre.dfdgrp.rec.intprd
									actrat:"",			//  代付利率：		.dftcre.dfdgrp.rec.actrat
									flttyp:"",			//  利率浮动方式：		.dftcre.dfdgrp.rec.flttyp
									guaflg:"",			//  货押标识：		.dftcre.dfdgrp.rec.guaflg
									fltval:"",			//  浮动值		.dftcre.dfdgrp.rec.fltval
									bankcn:"",			//  代付行中文名		.dftcre.dfdgrp.rec.bankcn
									bankno:"",			//  代付行核心客户号		.dftcre.dfdgrp.rec.bankno
									bnkact:"",			//  同业代付内部�'�号		.dftcre.dfdgrp.rec.bnkact
									rescur:"",			//  代付利息：		.dftcre.dfdgrp.rec.rescur
									resamt:"",			//  代付利息		.dftcre.dfdgrp.rec.resamt
									invtyp:"",			//  发票类型		.dftcre.dfdgrp.rec.invtyp
								},
								cbs:{
									max:{
										amt:"",			//  代付金额：		.dftcre.dfdgrp.cbs.max.amt
										cur:"",			//  代付金额：		.dftcre.dfdgrp.cbs.max.cur
									},
									opn1:{
										amt:"",			//  代付余额：		.dftcre.dfdgrp.cbs.opn1.amt
										cur:"",			//  代付余额：		.dftcre.dfdgrp.cbs.opn1.cur
									},
								},
								apl:{
									pts:new Pts().data,
									namelc:"",			//  名称		.dftcre.dfdgrp.apl.namelc
									adrelc:"",			//  地址		.dftcre.dfdgrp.apl.adrelc
									dbfadrblkcn:"",			//  Chinese address		.dftcre.dfdgrp.apl.dbfadrblkcn
								},
								dff:{
									pts:new Pts().data,
									namelc:"",			//  名称		.dftcre.dfdgrp.dff.namelc
									adrelc:"",			//  地址		.dftcre.dfdgrp.dff.adrelc
									dbfadrblkcn:"",			//  Chinese address		.dftcre.dfdgrp.dff.dbfadrblkcn
								},
							},
							dftp:{
								pctlab:"",			//  Percentage Label		.dftcre.dftp.pctlab
								aplp:{
									ptsget:{
										sdamod:{
											seainf:"",			//  		.dftcre.dftp.aplp.ptsget.sdamod.seainf
											dadsnd:"",			//  Drag  Drop Sender		.dftcre.dftp.aplp.ptsget.sdamod.dadsnd
										},
									},
								},
								dffp:{
									ptsget:{
										sdamod:{
											seainf:"",			//  		.dftcre.dftp.dffp.ptsget.sdamod.seainf
											dadsnd:"",			//  Drag  Drop Sender		.dftcre.dftp.dffp.ptsget.sdamod.dadsnd
										},
									},
								},
							},
							oricur:"",			//  单据金额：		.dftcre.oricur
							oriamt:"",			//  单据金额：		.dftcre.oriamt
							dfucur:"",			//  代付金额：		.dftcre.dfucur
							dfuamt:"",			//  代付金额：		.dftcre.dfuamt
						},
						trnmod: new Pub().data.Trnmod,
						fkr:"",			//  付款人：		.fkr
						fkzh:"",			//  付款账号：		.fkzh
						qxr:"",			//  起息日：		.qxr
						skr:"",			//  收款人：		.skr
						skzh:"",			//  收款账号：		.skzh
						jdhbh:"",			//  附言：		.jdhbh
						xyzbh:"",			//  信用证编号：		.xyzbh
						khh:"",			//  收款行行名：		.khh
						skhnum:"",			//  收款行行号：		.skhnum
						fkhnum:"",			//  付款行行号：		.fkhnum
						fkhnam:"",			//  付款行行名：		.fkhnam
						pageId: ""			// ctx的key
				}
    }
}