import Api from "~/service/Api";
export default class Sptsel {
	constructor() {
		this.data = {
			chkinc: "",			//  Incoming		.chkinc
			chkpen: "",			//  Pending		.chkpen
			chkcor: "",			//  Correction		.chkcor
			chkaut: "",			//  Automatic		.chkaut
			selobj: "",			//  Reference		.selobj
			seltxt: "",			//  Selection Name		.seltxt
			usfmod: {
				labtxt: "",			//  Text of Label		.usfmod.labtxt
				usftxt: "",			//  Text of Selection Text		.usfmod.usftxt
				flt: "",			//  Filter		.usfmod.flt
				selusg: "",			//  Selected User Group		.usfmod.selusg
				selusgset: "",			//  Selected User Group Set		.usfmod.selusgset
				usr: {
					extkey: "",			//  User ID		.usfmod.usr.extkey
				},
				usrget: {
					sdamod: {
						seainf: "",			//  		.usfmod.usrget.sdamod.seainf
					},
				},
				selusb: "",			//  Select user branch		.usfmod.selusb
			},
			chkdel: "",			//  Deleted		.chkdel
			sptstm: "",			//  List of SPT records		.sptstm
			yptinf: "",			//  退回原因		.yptinf
			chkypt: "",			//  云平台		.chkypt
			inidatfro: "",			//  Date of entry of Transaction		.inidatfro
			inidattil: "",			//  Date of entry of Transaction until		.inidattil
			routxt: "",			//  已转报		.routxt
			dflg: "",			//  国内国际标志		.dflg
			chktco: "",			//  网银		.chktco
			chkcan: "",			//  归档		.chkcan
			chkdzt: "",			//  E-Trade		.chkdzt
			pageId: "",			// ctx的key
			spt:{
				sta:"",			//  Type		.spt.sta
				hldflg:"",			//  Hold Flag		.spt.hldflg
				objnam:"",			//  Reference		.spt.objnam
				inr:"",			//  Internal Unique ID of Pending Transaction		.spt.inr
				txt:"",			//  Name		.spt.txt
				frm:"",			//  Transaction 		.spt.frm
				ownusr:"",			//  Responsible User 		.spt.ownusr
				ownusg:"",			//  Responsible Group		.spt.ownusg
				inftxt:"",			//  Infotext		.spt.inftxt
				infdsp:"",			//  Infotext		.spt.infdsp
				usr:"",			//  Entered by		.spt.usr
				dattim:"",			//  Time of Creation		.spt.dattim
				cretrn:"",			//  Creating Transaction ID		.spt.cretrn
				tardattim:"",			//  Target for Completion		.spt.tardattim
			},
			sptp:{
				smh:{
					msgtyp:"",			//  Message Type 		.sptp.smh.msgtyp
					sndkey:"",			//  Receiver Key 		.sptp.smh.sndkey
					relcur:"",			//  Relevant Amount		.sptp.smh.relcur
					relamt:"",			//  Relevant Amount Optional		.sptp.smh.relamt
				},
			},
			selsptinr:"",
			pageId: ""			// ctx的key
		}
	}
}