
/**
* Trtopn Default规则
*/
import Api from "~/service/Api";
import Utils from "~/utils/index"

export default {
    "trdgrp.fip.pts.extkey"                      :Utils.defaultFunction,
    "trtmod.finmod.accbch":defaultTrtmodFinmodAccbch,
    "trtmod.finmod.dinjdm"                      :Utils.defaultFunction,
    "trdgrp.cbs.max.amt"                      :Utils.defaultFunction,
    "trdgrp.rec.fintyp"                      :Utils.defaultFunction,
    "trdgrp.cbs.max.cur"                      :Utils.defaultFunction,
    "trtmod.finmod.act1":defaultTrtmodFinmodAct1,
    "trdgrp.rec.pntref"                      :Utils.defaultFunction,
    "trtmod.finmod.acttyp"                      :Utils.defaultFunction,
    "trtmod.finmod.act3":defaultTrtmodFinmodAct3,
    "trtmod.finmod.inttyp"                      :Utils.defaultFunction,
    "setmod.doccur"                      :Utils.defaultFunction,
    "setmod.dspflg"                      :Utils.defaultFunction,
    "setmod.docamt"                      :Utils.defaultFunction,
    "trdgrp.rec.stttendat"                      :Utils.defaultFunction,
    "trdgrp.rec.matdat"                      :Utils.defaultFunction,
    "trdgrp.rec.actrat"                      :Utils.defaultFunction,
    "trtmod.finmod.intprd"                      :Utils.defaultFunction,
    "cfatrt.cdaflg"                      :Utils.defaultFunction,
    "trtmod.finmod.ovdinttyp"                      :Utils.defaultFunction,
    "trdgrp.rec.flowflag"                      :Utils.defaultFunction,
    "trdgrp.rec.ownref"                      :Utils.defaultFunction,
    "trtmod.finmod.fincod"                      :Utils.defaultFunction,
    "trtmod.finmod.wjdkfl"                      :Utils.defaultFunction,
    "trtp.dfflag"                      :Utils.defaultFunction,
    "trtp.usr.extkey"                      :Utils.defaultFunction,
    "ledgrp.ben.pts.nam"                      :Utils.defaultFunction,
    "trdgrp.rec.issdat"                      :Utils.defaultFunction,
    "trdgrp.fip.adrelc"                      :Utils.defaultFunction,
    "trdgrp.fip.namelc"                      :Utils.defaultFunction,
    "trdgrp.fip.dbfadrblkcn"                      :Utils.defaultFunction,
    "trdgrp.rec.pctfin"                      :Utils.defaultFunction,
    "trtmod.finmod.dinmod.rmbsbs"                      :Utils.defaultFunction,
    "cfatrt.basflg"                      :Utils.defaultFunction,
    "trdgrp.fip.pts.adrblk"                      :Utils.defaultFunction,
    "trtp.flowflag"                      :Utils.defaultFunction,
    "cfatrt.cfaflg"                      :Utils.defaultFunction,
    "trtmod.finmod.ratchgtyp"                      :Utils.defaultFunction,
    "ledgrp.iss.pts.nam"                      :Utils.defaultFunction,
    "cfadft.basflg"                      :Utils.defaultFunction,
    "letp0.cnftxt"                      :Utils.defaultFunction,
    "cfadft.cfaflg"                      :Utils.defaultFunction,
    "ledgrp.rec.ownref"                      :Utils.defaultFunction,
    "trdgrp.rec.reccountrycode"                      :Utils.defaultFunction,
    "ledgrp.apl.pts.nam"                      :Utils.defaultFunction,
    "trtmod.finmod.intdat"                      :Utils.defaultFunction,
    "trtp.act"                      :defaultTrtpAct,
    "trtmod.finmod.flttyp"                      :Utils.defaultFunction,
    "trtmod.finmod.dinmod.jzllgz"                      :Utils.defaultFunction,
}
//你可以添加自动default处理


function defaultTrtmodFinmodAccbch() {
    const that = this;
    that.executeDefault("trtmod.finmod.accbch").then(res => {
        that.model.trtmod.finmod.accbch = res.data.trtmod_finmod_accbch
        callback()
    })  
}

function defaultTrtmodFinmodAct1() {
    const that = this;
    that.executeDefault("trtmod.finmod.act1").then(res => {
        that.model.trtmod.finmod.act1 = res.data.trtmod_finmod_act1
        callback()
    })  
}
function defaultTrtmodFinmodAct3() {
    const that = this;
    that.executeDefault("trtmod.finmod.act3").then(res => {
        that.model.trtmod.finmod.act3 = res.data.trtmod_finmod_act3
        callback()
    })  
}
function defaultTrtpAct() {
    const that = this;
    that.executeDefault("trtp.act").then(res => {
        that.model.trtp.act = res.data.trtp_act
        callback()
    })  
}
