import Cptadv from "./Cptadv"
import Cptopn from "./Cptopn"
import Cptati from "./Cptati"
import Cptato from "./Cptato"
import Diasel from "./Diasel"
import Bopsel from "./Bopsel"
import Ditame from "./Ditame"
import Ditcan from "./Ditcan"
import Ditsel from "./Ditsel"
import Infdid from "./Infdid"
import Ditopn from "./Ditopn"
import Office from "./Office"
import Sptsel from "./Sptsel"
import Sptbrk from "./Sptsel/Sptbrk"
import Trnrel from "./Trnrel"
import Trnfnd from "./Trnrel/Trnfnd"
import Tstopn from "./Tstopn"
import Bdtudp from "./Bdtudp"
import Bdtdcr from "./Bdtdcr"
import Bdtdck from "./Bdtdck"
import Bdteus from "./Bdteus"
import Trndtl from "./Trnrel/Trndtl"
import Infpta from "./Infpta"
import Ditdck from "./Ditdck"

import Letsel from "./Letsel"
import Letopn from "./Letopn"
import Letame from "./Letame"
import Letrsv from './Letrsv'
import Infled from './Infled'
import Bptcan from './Bptcan'

import Sptrel from "./Sptrel"
import Sptrou from "./Sptrou"
import Bddsel from "./Bddsel"
import Infbdd from "./Infbdd"
import Mgrtsk from "./Mgrtsk"
import Switsk from "./Switsk"
import Infusr from "./Infusr"
import Infcpd from "./Infcpd"
import Bctacc from "./Bctacc"
import Bctrad from "./Bctrad"
import Bctdor from "./Bctdor"
import Bctset from "./Bctset"
import Bctame from "./Bctame"
import Infcur from "./Infcur"
import Infbed from "./Infbed"
import Letcan from "./Letcan"
//光大添加
import Brtlat from "./Brtlat"
import Litopn from "./Litopn"
import Litcan from "./Litcan"
import Litdav from "./Litdav"
import Litdck from "./Litdck"
import Inflid from "./Inflid"
import Inftrd from "./Inftrd"
import Trtame from "./Trtame"
import Lttcan from "./Lttcan"
// import Infdet from "./Infdet"
import Botdav from "./Botdav"
import Botame from "./Botame"
import Botdcr from "./Botdcr"
import Botset from "./Botset"
import Botcan from "./Botcan"
import Infbpd from "./Infbpd"
import Inftxm from "./Inftxm"
import Bctdav from "./Bctdav"
import Bctcan from "./Bctcan"
import Inffee from "./Inffee"
import Infbcd from "./Infbcd"
import Bdtcan from "./Bdtcan"

import Bttcan from "./Bttcan"
import Bttacc from "./Bttacc"
import Cltdav from "./Cltdav"
import Cltset from "./Cltset"
import Clttra from "./Clttra"
import Ditdla from "./Ditdla"
import Bdtset from "./Bdtset"
import Lttdav from "./Lttdav"
import Lttdck from "./Lttdck"
import Bttdck from "./Bttdck"
import Ccttra from "./Ccttra"
import Cctdcr from "./Cctdcr"
import Cctset from "./Cctset"
import Infccd from "./Infccd"
import Infcld from "./Infcld"
import Cctdav from "./Cctdav"
import Cctsel from "./Cctsel"
import Lttopn from "./Lttopn"
import Lttame from "./Lttame"
import Infbtd from "./Infbtd"
import Infltd from "./Infltd"
import Bttsnd from "./Bttsnd"
import Bttdrv from "./Bttdrv"
import Bttdcr from "./Bttdcr"
import Bttset from "./Bttset"
import Bttrcl from "./Bttrcl"
import Betacc from "./Betacc"
import Betrcl from "./Betrcl"
import InftrnpsDetail from "./Trnrel/InftrnpsDetail"
import TrnfndsDetail from "./Trnrel/Trnfnd/TrnfndsDetail"
import Sptpopup from "./Sptsel/Sptpopup"
import Infdet from "./Infdet"
import Infbfd from "./Infbfd"
import Bftsnd from "./Bftsnd"
import Bftset from "./Bftset"
import Detdrv from "./Detdrv"
import Bftacc from "./Bftacc"
import Bftdcr from "./Bftdcr"
/**
 * 带有name的才会被添加进顶部的标签页里
 */
const BusRouter = [
  { path: 'sptpopup', component: Sptpopup, name: 'Sptpopup', meta: { title: '待经办详情' } },
  { path: 'trnfndsDetail', component: TrnfndsDetail, name: 'TrnfndsDetail', meta: { title: '已完成详情' } },
  { path: 'inftrnpsDetail', component: InftrnpsDetail, name: 'InftrnpsDetail', meta: { title: '待复核详情' } },
  { path: 'cltdav', component: Cltdav, name: 'Cltdav', meta: { title: '打包托收开立' } },
  { path: 'clttra', component: Clttra, name: 'Clttra', meta: { title: '打包托收催收' } },
  { path: 'cltset', component: Cltset, name: 'Cltset', meta: { title: '打包托收解包' } },
  { path: 'infccd', component: Infccd, name: 'Infccd', meta: { title: '光票托收查询1' } },
  { path: 'infcld', component: Infcld, name: 'Infcld', meta: { title: '光票托收查询2' } },
  { path: 'ccttra', component: Ccttra, name: 'Ccttra', meta: { title: '光票托收催收' } },
  { path: 'cctdav', component: Cctdav, name: 'Cctdav', meta: { title: '光票托收开立' } },
  { path: 'cctset', component: Cctset, name: 'Cctset', meta: { title: '光票托收收汇' } },
  { path: 'cctsel', component: Cctsel, name: 'Cctsel', meta: { title: '光票托收入口交易' } },
  { path: 'cctdcr', component: Cctdcr, name: 'Cctdcr', meta: { title: '光票托收退票' } },
  { path: 'lttopn', component: Lttopn, name: 'Lttopn', meta: { title: '转让证开立' } },
  { path: 'lttame', component: Lttame, name: 'Lttame', meta: { title: '转让证修改' } },
  { path: 'lttcan', component: Lttcan, name: 'Lttcan', meta: { title: '转让证注销' } },
  { path: 'infbtd', component: Infbtd, name: 'Infbtd', meta: { title: '转让证单据查询' } },
  { path: 'infltd', component: Infltd, name: 'Infltd', meta: { title: '转让证查询' } },
  { path: 'bttdck', component: Bttdck, name: 'Bttdck', meta: { title: '转让证单据第一受益人换单' } },
  { path: 'bttsnd', component: Bttsnd, name: 'Bttsnd', meta: { title: '转让证单据寄单' } },
  { path: 'bttdcr', component: Bttdcr, name: 'Bttdcr', meta: { title: '转让证单据拒单' } },
  { path: 'bttdrv', component: Bttdrv, name: 'Bttdrv', meta: { title: '转让修改单据金额' } },
  { path: 'bttcan', component: Bttcan, name: 'Bttcan', meta: { title: '转让证单据注销' } },
  { path: 'bttacc', component: Bttacc, name: 'Bttacc', meta: { title: '转让证单据承兑' } },
  { path: 'bttset', component: Bttset, name: 'Bttset', meta: { title: '转让证单据收汇' } },
  { path: 'bttrcl', component: Bttrcl, name: 'Bttrcl', meta: { title: '转让证单据索汇' } },
  { path: 'lttdav', component: Lttdav, name: 'Lttdav', meta: { title: '转让证通知到单' } },
  { path: 'lttdck', component: Lttdck, name: 'Lttdck', meta: { title: '转让第二受益人交单' } },

  { path: 'bdtudp', component: Bdtudp, name: 'Bdtudp', meta: { title: '国内证承兑' } },
  { path: 'bdtdcr', component: Bdtdcr, name: 'Bdtdcr', meta: { title: '国内证不符点/拒付' } },
  { path: 'bdtdck', component: Bdtdck, name: 'Bdtdck', meta: { title: '买方信用证单据二次到单/修改单据' } },
  { path: 'bdteus', component: Bdteus, name: 'Bdteus', meta: { title: '方信用证单据展期' } },
  { path: 'cptadv', component: Cptadv, name: 'Cptadv', meta: { title: '汇入汇款' } },
  { path: 'cptopn', component: Cptopn, name: 'Cptopn', meta: { title: '汇出汇款' } },
  { path: 'cptati', component: Cptati, name: 'Cptati', meta: { title: '境内外币汇入汇款' } },
  { path: 'cptato', component: Cptato, name: 'Cptato', meta: { title: '境内外币汇出汇款' } },  
  { path: 'diasel', component: Diasel, name: 'Diasel', meta: { title: '备忘录选择交易' } },
  { path: 'bopsel', component: Bopsel, name: 'Bopsel', meta: { title: '待申报列表' } },
  { path: 'ditame', component: Ditame, name: 'Ditame', meta: { title: '信用证修改' } },
  { path: 'ditcan', component: Ditcan, name: 'Ditcan', meta: { title: '信用证注销' } },
  { path: 'ditsel', component: Ditsel, name: 'Ditsel', meta: { title: '信用证查询' } },
  { path: 'ditopn', component: Ditopn, name: 'Ditopn', meta: { title: '买方信用证开立' } },
  { path: 'infdid', component: Infdid, name: 'Infdid', meta: { title: '信用证交易查询' } },
  { path: 'ditdck', component: Ditdck, name: 'Ditdck', meta: { title: '信用证到单' } },
  // 例
  { path: 'ditopn/:inr', component: Ditopn, name: 'DitopnInr', meta: { title: (tag) => { return '买方信用证开立-' + tag.params.inr } } },
  { path: 'office', component: Office, name: 'Office', meta: { title: 'Office' } },
  { path: 'sptsel', component: Sptsel, name: 'Sptsel', meta: { title: '待办任务' } },
  { path: 'sptbrk', component: Sptbrk, name: 'Sptbrk', meta: { title: '草稿箱' } },
  { path: 'trnrel', component: Trnrel, name: 'Trnrel', meta: { title: '复核任务' } },
  { path: 'trnfnd', component: Trnfnd, name: 'Trnfnd', meta: { title: '已完成任务' } },
  { path: 'trndtl', query: 'inr', component: Trndtl, name: 'Trndtl', meta: { title: 'Trndtl' } },
  { path: 'tstopn', component: Tstopn, name: 'Tstopn', meta: { title: 'Tstopn' } },
  { path: 'infpta', component: Infpta, name: 'Infpta', meta: { title: 'Infpta' } },
  { path: 'letsel', component: Letsel, name: 'Letsel', meta: { title: '出口信用证查询' } },
  { path: 'letopn', component: Letopn, name: 'Letopn', meta: { title: '出口信用证通知' } },
  { path: 'letame', component: Letame, name: 'Letame', meta: { title: '出口信用证修改' } },
  { path: 'letrsv', component: Letrsv, name: 'Letrsv', meta: { title: '出口信用证补通知' } },
  { path: 'infled', component: Infled, name: 'Infled', meta: { title: '出口信用证查询infled' } },
  { path: 'Bptcan', component: Bptcan, name: 'Bptcan', meta: { title: '出口融资注销' } },
  { path: 'betacc', component: Betacc, name: 'Betacc', meta: { title: '出口信用证单据承兑' } },
  { path: 'betrcl', component: Betrcl, name: 'Betrcl', meta: { title: '出口信用证单据索汇' } },

  { path: 'sptrel', component: Sptrel, name: 'Sptrel', meta: { title: 'Sptrel' } },
  { path: 'sptrou', component: Sptrou, name: 'Sptrou', meta: { title: 'Sptrou' } },
  { path: 'bddsel', component: Bddsel, name: 'Bddsel', meta: { title: 'Bddsel' } },
  { path: 'infbdd', component: Infbdd, name: 'Infbdd', meta: { title: '信用证单据查询' } },
  { path: 'mgrtsk', component: Mgrtsk, name: 'Mgrtsk', meta: { title: 'Mgrtsk' } },
  { path: 'switsk', component: Switsk, name: 'Switsk', meta: { title: 'Switsk' } },
  { path: 'infusr', component: Infusr, name: 'Infusr', meta: { title: '用户信息' } },
  { path: 'infcpd', component: Infcpd, name: 'Infcpd', meta: { title: '汇款查询' } },
  { path: 'bctdav', component: Bctdav, name: 'Bctdav', meta: { title: '进口代收到单通知' } },
  { path: 'bctacc', component: Bctacc, name: 'Bctacc', meta: { title: '进口代收承兑' } },
  { path: 'bctrad', component: Bctrad, name: 'Bctrad', meta: { title: '进口代收二次收单' } },
  { path: 'bctdor', component: Bctdor, name: 'Bctdor', meta: { title: '进口代收拒付' } },
  { path: 'bctset', component: Bctset, name: 'Bctset', meta: { title: '进口代收付款' } },
  { path: 'bctcan', component: Bctcan, name: 'Bctcan', meta: { title: '进口代收闭卷' } },
  { path: 'bctame', component: Bctame, name: 'Bctame', meta: { title: '进口代收修改' } },
  { path: 'infcur', component: Infcur, name: 'Infcur', meta: { title: 'Infcur' } },
  { path: 'infbed', component: Infbed, name: 'Infbed', meta: { title: '出口信用证单据查询' } },
  { path: 'letcan', component: Letcan, name: 'Letcan', meta: { title: '出口信用证注销' } },
  //光大添加
  { path: 'brtlat', component: Brtlat, name: 'Brtlat', meta: { title: '进口信用证单据偿还垫款' } },
  { path: 'litopn', component: Litopn, name: 'Litopn', meta: { title: '进口信用证开立' } },
  { path: 'litcan', component: Litcan, name: 'Litcan', meta: { title: '进口信用证注销' } },
  { path: 'litdav', component: Litdav, name: 'Litdav', meta: { title: '进口信用证通知到单 ' } },
  { path: 'litdck', component: Litdck, name: 'Litdck', meta: { title: '进口信用证到单' } },
  { path: 'inflid', component: Inflid, name: 'Inflid', meta: { title: '进口信用证查询' } },
  { path: 'inftrd', component: Inftrd, name: 'Inftrd', meta: { title: '进口押汇查询' } },
  { path: 'trtame', component: Trtame, name: 'Trtame', meta: { title: '进口融资修改' } },
  { path: 'infbpd', component: Infbpd, name: 'Infbpd', meta: { title: '进口单据查询' } },
  { path: 'inftxm', component: Inftxm, name: 'Inftxm', meta: { title: '条式语句查询' } },
  // { path: 'infdet', component: Infdet, name: 'Infdet', meta: { title: 'Infdet' } },
  { path: 'botdav', component: Botdav, name: 'Botdav', meta: { title: '出口托收寄单' } },
  { path: 'botame', component: Botame, name: 'Botame', meta: { title: '出口托收修改' } },
  { path: 'botdcr', component: Botdcr, name: 'Botdcr', meta: { title: '出口托收拒付/不符点' } },
  { path: 'botset', component: Botset, name: 'Botset', meta: { title: '出口托收收汇' } },
  { path: 'botcan', component: Botcan, name: 'Botcan', meta: { title: '出口托收闭卷' } },
  { path: 'inffec', component: Botset, name: 'Inffec', meta: { title: '费用条件查询' } },
  { path: 'inffee', component: Inffee, name: 'Inffee', meta: { title: '费用管理' } },
  { path: 'infptm', component: Botset, name: 'Infptm', meta: { title: '客户BIC查询' } },
  { path: 'infbcd', component: Infbcd, name: 'Infbcd', meta: { title: '进口代收查询' } },
  { path: 'bdtcan', component: Bdtcan, name: 'Bdtcan', meta: { title: '买方信用证单据注销' } },
  { path: 'ditdla', component: Ditdla, name: 'Ditdla', meta: { title: '买方信用证减额接受' } },
  { path: 'bdtset', component: Bdtset, name: 'Bdtset', meta: { title: '信用证付款' } },
  { path: 'infdet', component: Infdet, name: 'Infdet', meta: { title: '卖方信用证查询' } },
  { path: 'infbfd', component: Infbfd, name: 'Infbfd', meta: { title: '卖方信用证单据查询' } },
  { path: 'bftsnd', component: Bftsnd, name: 'Bftsnd', meta: { title: '卖方信用证寄单' } },
  { path: 'bftset', component: Bftset, name: 'Bftset', meta: { title: '卖方信用证收款' } },
  { path: 'detdrv', component: Detdrv, name: 'Detdrv', meta: { title: '卖方信用证收单' } },
  { path: 'bftacc', component: Bftacc, name: 'Bftacc', meta: { title: '卖方信用证单据承兑' } },
  { path: 'bftdcr', component: Bftdcr, name: 'Bftdcr', meta: { title: '卖方信用证单据电提不符点/开证行拒付' } },
]
export default BusRouter
