import Utils from "~/utils"

/**
* Bftdcr Check规则
*/
let checkObj = {
    "bfdgrp.prb.pts.extkey"                      :null,
    "bfdgrp.iss.pts.nam"                      :null,
    "bfdgrp.rmb.adrelc"                      :null,
    "bfdgrp.blk.docdis"                      :null,
    "bfdgrp.oth.pts.extkey"                      :null,
    "dedgrp.beb.pts.adrblk"                      :null,
    "bfdgrp.prb.adrelc"                      :null,
    "bfdgrp.prb.pts.adrblk"                      :null,
    "bfdgrp.rmb.namelc"                      :null,
    "bfdgrp.rmb.pts.extkey"                      :null,
    "bfdgrp.prb.pts.nam"                      :null,
    "bfdgrp.blk.intdis"                      :null,
    "bfdgrp.acb.pts.extkey"                      :null,
    "dedgrp.beb.pts.extkey"                      :null,
    "bfdgrp.acb.pts.adrblk"                      :null,
    "bfdgrp.oth.pts.jigomc"                      :null,
    "bfdgrp.oth.pts.bankno"                      :null,
    "bfdgrp.oth.pts.dizhii"                      :null,
    "dedgrp.beb.namelc"                      :null,
    "trnmod.trndoc.addstr750"                      :null,
    "bfdgrp.rmb.pts.adrblk"                      :null,
    "bfdgrp.apl.pts.nam"                      :null,
    "bfdgrp.acb.adrelc"                      :null,
    "dedgrp.beb.adrelc"                      :null,
    "bfdgrp.acb.namelc"                      :null,
    "bfdgrp.prb.namelc"                      :null,
    "mtabut.clsflg"                      :null,
}

for (const key in checkObj) {
    if (Object.hasOwnProperty.call(checkObj, key)) {
        checkObj[key] = checkObj[key] ? checkObj[key] : Utils.reflectCheck(key)
    }
}
export default checkObj

