import Utils from "~/utils"

/**
* Ditdla Check规则
*/
let checkObj = {
    "didgrp.cmb.pts.dizhii"                      :null,
    "didgrp.rec.expplc"                      :null,
    "didgrp.adv.pts.bankno"                      :null,
    "trnmod.swiadd.shpfroelc"                      :null,
    "didgrp.rec.sdsrfs"                      :null,
    "didgrp.apc.pts.bankno"                      :null,
    "didgrp.rmb.pts.dizhii"                      :null,
    "didgrp.adv.pts.nam"                      :null,
    "trnmod.swiadd.adlcnd"                      :null,
    "didgrp.apl.pts.extkey"                      :null,
    "liaall.limmod.limpts.oth.pts.nam"                      :null,
    "setmod.dspflg"                      :null,
    "didgrp.ben.adrelc"                      :null,
    "ditamep.recget.sdamod.dadsnd"                      :null,
    "didgrp.blk.defdet"                      :null,
    "didgrp.blk.insbnk"                      :null,
    "liaall.liaccv.totcovamt"                      :null,
    "didgrp.adv.pts.jigomc"                      :null,
    "didgrp.iss.pts.jigomc"                      :null,
    "didgrp.rec.shpfro"                      :null,
    "liaall.limmod.limpts.wrk.pts.nam"                      :null,
    "didgrp.apc.pts.jigomc"                      :null,
    "trnmod.swiadd.lcrdoc"                      :null,
    "didgrp.iss.pts.dizhii"                      :null,
    "trnmod.swiadd.insbnk"                      :null,
    "didgrp.blk.lcrgod"                      :null,
    "didgrp.blk.stamet"                      :null,
    "trnmod.swiadd.newshpdat"                      :null,
    "didgrp.apl.namelc"                      :null,
    "didgrp.ben.pts.nam"                      :null,
    "trnmod.swiadd.newexpdat"                      :null,
    "didgrp.beb.pts.jigomc"                      :null,
    "didgrp.rec.opndat"                      :null,
    "didgrp.rmb.pts.jigomc"                      :null,
    "ditp.usr.extkey"                      :null,
    "liaall.limmod.wrkp.ptsget.sdamod.dadsnd"                      :null,
    "ditp.recget.sdamod.dadsnd"                      :null,
    "didgrp.avb.pts.dizhii"                      :null,
    "didgrp.adv.pts.extkey"                      :null,
    "didgrp.ben.pts.extkey"                      :null,
    "didgrp.blk.lcrdoc"                      :null,
    "didgrp.rec.tenmaxday"                      :null,
    "didgrp.cmb.pts.jigomc"                      :null,
    "didgrp.apb.pts.jigomc"                      :null,
    "didgrp.blk.adlcnd"                      :null,
    "liaall.limmod.limpts.oth.pts.extkey"                      :null,
    "liaall.limmod.ownref"                      :null,
    "didgrp.adv.pts.dizhii"                      :null,
    "didgrp.rec.fqtime"                      :null,
    "didgrp.apc.pts.dizhii"                      :null,
    "trnmod.swiadd.newamt"                      :null,
    "liaall.limmod.ecifno"                      :null,
    "trnmod.swiadd.shptoelc"                      :null,
    "ditp.benp.ptsget.sdamod.dadsnd"                      :null,
    "didgrp.iss.pts.extkey"                      :null,
    "didgrp.rec.fqzytgfw"                      :null,
    "didgrp.rec.conamt"                      :null,
    "didgrp.rec.shppro"                      :null,
    "didgrp.rec.shpto"                      :null,
    "olddidgrp.rec.expdat"                      :null,
    "didgrp.ben.namelc"                      :null,
    "didgrp.cmb.pts.bankno"                      :null,
    "liaall.limmod.othp.ptsget.sdamod.dadsnd"                      :null,
    "didgrp.apb.pts.bankno"                      :null,
    "ditp.aplp.ptsget.sdamod.dadsnd"                      :null,
    "didgrp.avb.pts.bankno"                      :null,
    "didgrp.rmb.pts.bankno"                      :null,
    "didgrp.rec.conno"                      :null,
    "trnmod.swiadd.lcrgod"                      :null,
    "didgrp.beb.pts.bankno"                      :null,
    "didgrp.apl.pts.adrblk"                      :null,
    "didgrp.rec.lcrtyp"                      :null,
    "didgrp.cbs.opn1.amt"                      :null,
    "didgrp.iss.pts.bankno"                      :null,
    "liaall.limmod.limpts.wrk.pts.extkey"                      :null,
    "trnmod.swiadd.ameamt"                      :null,
    "mtabut.coninf.conexedat"                      :null,
    "trnmod.swiadd.newnomtoname"                      :null,
    "trnmod.swiadd.nartxt"                      :null,
    "didgrp.ben.pts.adrblk"                      :null,
    "liaall.limmod.limpts.nonrevflg1"                      :null,
    "didgrp.apl.pts.nam"                      :null,
    "didgrp.rec.mytype"                      :null,
    "setmod.docamt"                      :null,
    "trnmod.swiadd.newnomtopame"                      :null,
    "liaall.liaccv.cshpct"                      :null,
    "didgrp.rec.avbwth"                      :null,
    "ameflg"                      :null,
    "didgrp.blk.preper"                      :null,
    "didgrp.apl.adrelc"                      :null,
    "didgrp.avb.pts.jigomc"                      :null,
    "liaall.liaccv.relcshpct"                      :null,
}

for (const key in checkObj) {
    if (Object.hasOwnProperty.call(checkObj, key)) {
        checkObj[key] = checkObj[key] ? checkObj[key] : Utils.reflectCheck(key)
    }
}
export default checkObj

